API ReferenceapicommunityGET /v1/feed/by-channel/{channel_key}

GET /v1/feed/by-channel/\{channel_key\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • channel_key (string) required

Query parameters

  • brand_id (string) required
  • limit (integer) —
  • cursor (string) —
  • include_deleted (boolean,null) —

Responses

200 Feed for the channel

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "author_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "content": {
            "type": "string"
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          },
          "media_urls": {
            "type": "array",
            "items": {}
          },
          "moderation_status": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          },
          "pinned_by_staff_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "author_id",
          "brand_id",
          "content",
          "tags",
          "metadata",
          "media_urls",
          "moderation_status",
          "created_at",
          "updated_at",
          "pinned_by_staff_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

400 Invalid channel key

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

403 Only admins can include deleted posts

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/feed/by-channel/{channel_key} \
  -H "Authorization: Bearer $ACCESS_TOKEN"